﻿@model  PagedList.IPagedList<SpecificationViewModel>
@{
    ViewBag.Title = $"خصوصیت ها";
    ViewBag.Description = $"";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="box box-info">
    <div class="row" style="line-height: 30px; padding: 5px 10px 5px 10px; vertical-align: middle;">
        <div class="col-12">
            @Html.ActionLink("افزودن خصوصیت", "Add", null, new { @class = "btn btn-primary" })
        </div>
    </div>
</div>
<style>
    table th, tr {
        text-align: center;
        vertical-align: middle;
    }
</style>
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">@ViewBag.Title</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                            @<thead>
                                <tr>
                                    <th style="width:10px">
                                        @Html.DisplayNameFor(model => model.GetObject().Id)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.GetObject().Name)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.GetObject().GroupName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.GetObject().Categories)
                                    </th>
                                    <th>
                                        <span>عملیات</span>
                                    </th>
                                </tr>
                            </thead>,
            @<tbody>
                @foreach (var model in Model)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => model.Id)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.Name)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.GroupName)
                        </td>
                        <td>
                            @if (model.Categories != null)
                            {
                                <span>@(string.Join(", ", model.Categories.Select(p => p.Name).ToList()))</span>
                            }
                        </td>
                        <td>
                            <div class="btn-group" style="width:217px">
                                @Html.ActionLink("ویرایش", "Edit", new { id = model.Id }, new { @class = "btn btn-warning" })
                                <a onclick="@Html.DeleteModal((int)model.Id);" class="btn btn-danger">حذف</a>
                            </div>
                        </td>
                    </tr>
                 }
            </tbody>).Order(4, DataTabledOrder.Desc)
                <div class="text-center">
                    @Html.Partial("_Paging", Model)
                </div>
                @Html.CreateDeleteModal()
            </div>
        </div>
    </div>
</div>